module TurbaKit
  module Content
    def update_service_content(service_id, content_id, options = {})
      put_request("/services/#{service_id}/contents/#{content_id}", {
        namespace: :content,
        params: {
          content: options
        }
      })
    end

    def create_service_content(service_id, options = {})
      post_request("/services/#{service_id}/contents", {
        namespace: :content,
        params: {
          content: options
        }
      })
    end

    def delete_service_content(service_id, content_id, options = {})
      delete_request("/services/#{service_id}/contents/#{content_id}")
    end
  end
end
