module TurbaKit
  module CrowdTable
    def service_crowd_table(service_id, options = {})
      default = {
        from: Time.now.beginning_of_day.to_datetime.new_offset(0).to_i,
        to: (Time.now + 6.days).beginning_of_day.to_datetime.new_offset(0).to_i
      }

      get_request("/services/#{service_id}/crowd_table", {
        namespace: :crowd_table,
        params: default.merge(options)
      })
    end

    def update_service_crowd_table(service_id, crowd_table_id, options = {})
      put_request("/services/#{service_id}/crowd_tables/#{crowd_table_id}", {
        namespace: :crowd_table,
        params: {
          crowd_table: options
        }
      })
    end

    def create_service_crowd_table(service_id, options = {})
      post_request("/services/#{service_id}/crowd_table", {
        namespace: :crowd_table,
        params: {
          crowd_table: options
        }
      })
    end

    def delete_service_crowd_table(service_id, options = {})
      delete_request("/services/#{service_id}/crowd_table")
    end
  end
end
