module TurbaKit
  module Link
    def update_service_link(service_id, link_id, options = {})
      put_request("/services/#{service_id}/links/#{link_id}", {
        namespace: :link,
        params: {
          link: options
        }
      })
    end

    def create_service_link(service_id, options = {})
      post_request("/services/#{service_id}/links", {
        namespace: :link,
        params: {
          link: options
        }
      })
    end

    def delete_service_link(service_id, link_id, options = {})
      delete_request("/services/#{service_id}/links/#{link_id}")
    end
  end
end
