module TurbaKit
  module Notification
    def update_service_notification(service_id, notification_id, options = {})
      put_request("/services/#{service_id}/notifications/#{notification_id}", {
        namespace: :notification,
        params: {
          notification: options
        }
      })
    end

    def create_service_notification(service_id, options = {})
      post_request("/services/#{service_id}/notifications", {
        namespace: :notification,
        params: {
          notification: options
        }
      })
    end

    def delete_service_notification(service_id, notification_id, options = {})
      delete_request("/services/#{service_id}/notifications/#{notification_id}")
    end
  end
end
