module TurbaKit
  module Services
    def services(options = {})
      default = {
        page: 1,
        per_page: 10,
        published: true,
        country_code: 'FR',
        type: 'parent'
      }
      get_request("/services", {params: default.merge(options)})
    end

    def service(service_id)
      get_request("/services/#{service_id}", {namespace: :service})
    end

    def update_service(service_id, service)
      put_request("/services/#{service_id}", {
        namespace: :service,
        params: {
          service: service
        }
      })
    end

    def search_service(query, options = {})
      default = {
        page: 1,
        per_page: 10,
        published: true,
        country_code: 'FR',
        type: 'parent',
        q: query
      }
      get_request("/services/search", {params: default.merge(options)})
    end
  end
end
