module TurbaKit
  module Units
    def create_unit_container(service_id, unit_id, container_type)
      post_request("/services/#{service_id}/units/#{unit_id}/containers", {
        namespace: :container,
        params: {
          container: {
            type: container_type
          }
        }
      })
    end

    def delete_unit_container(service_id, unit_id, container_id)
      delete_request("/services/#{service_id}/units/#{unit_id}/containers/#{container_id}")
    end

    def update_unit_container(service_id, unit_id, container_id, options)
      put_request("/services/#{service_id}/units/#{unit_id}/containers/#{container_id}", {
        namespace: :container,
        params: {
          container: options
        }
      })
    end

    def update_unit(service_id, unit_id, unit)
      put_request("/services/#{service_id}/units/#{unit_id}", {
        namespace: :unit,
        params: {
          unit: unit
        }
      })
    end
  end
end
